Name:           direct-boot
Version:        0.1
Release:        1%{?dist}
Summary:        Direct uefi boot the kernel

License:        BSD

requires: gzip
requires(post): kernel-core

%description
Direct uefi boot the kernel

%prep

%build

%install
mkdir -p %{buildroot}/boot/efi/EFI/Linux
echo "linux.efi,Linux,initrd=\EFI\Linux\initramfs.img,Direct kernel boot" | iconv --to-code=ucs2 > direct-boot16.csv > %{buildroot}/boot/efi/EFI/Linux/boot.csv

%post
for kernel in /lib/modules/*/vmlinuz; do
%ifarch aarch64
    gunzip -c $kernel > /boot/efi/EFI/Linux/linux.efi
%else
    cp $kernel /boot/efi/EFI/Linux/linux.efi
%endif
done

%files
/boot/efi/EFI/Linux

%changelog
* Tue Nov 09 2021 Alexander Larsson <alexl@redhat.com>
- Initial version
